<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Watermark Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classWatermark.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classWatermark-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Watermark Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classWatermark.html" title="Watermark class. ">Watermark</a> class.  
 <a href="classWatermark.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Watermark_8h_source.html">Watermark.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a274317a27cb523b519b28be6d622f2bf"><td class="memItemLeft" align="right" valign="top"><a id="a274317a27cb523b519b28be6d622f2bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a274317a27cb523b519b28be6d622f2bf">Watermark</a> ()</td></tr>
<tr class="memdesc:a274317a27cb523b519b28be6d622f2bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a274317a27cb523b519b28be6d622f2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96a43470184588ea58d0b529213a7ec7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a96a43470184588ea58d0b529213a7ec7">Watermark</a> (const std::string &amp;file, float opacity, float probability)</td></tr>
<tr class="memdesc:a96a43470184588ea58d0b529213a7ec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a96a43470184588ea58d0b529213a7ec7">More...</a><br /></td></tr>
<tr class="separator:a96a43470184588ea58d0b529213a7ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e484cce31c3d67dceb751df8e48a8ef"><td class="memItemLeft" align="right" valign="top"><a id="a5e484cce31c3d67dceb751df8e48a8ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a5e484cce31c3d67dceb751df8e48a8ef">~Watermark</a> ()</td></tr>
<tr class="memdesc:a5e484cce31c3d67dceb751df8e48a8ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a5e484cce31c3d67dceb751df8e48a8ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32e861948948b0ef070cb1a60439f58f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a32e861948948b0ef070cb1a60439f58f">apply</a> (void *data, unsigned int width, unsigned int height, unsigned int channels, unsigned int bpc)</td></tr>
<tr class="memdesc:a32e861948948b0ef070cb1a60439f58f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply the watermark to a data buffer.  <a href="#a32e861948948b0ef070cb1a60439f58f">More...</a><br /></td></tr>
<tr class="separator:a32e861948948b0ef070cb1a60439f58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18c0054dceec80c7ab1a5d2c8d10967"><td class="memItemLeft" align="right" valign="top"><a id="af18c0054dceec80c7ab1a5d2c8d10967"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#af18c0054dceec80c7ab1a5d2c8d10967">getImage</a> ()</td></tr>
<tr class="memdesc:af18c0054dceec80c7ab1a5d2c8d10967"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return watermark image path. <br /></td></tr>
<tr class="separator:af18c0054dceec80c7ab1a5d2c8d10967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497b6518f7470e5048bb6be853d4f85e"><td class="memItemLeft" align="right" valign="top"><a id="a497b6518f7470e5048bb6be853d4f85e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a497b6518f7470e5048bb6be853d4f85e">getOpacity</a> ()</td></tr>
<tr class="memdesc:a497b6518f7470e5048bb6be853d4f85e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return watermark opacity. <br /></td></tr>
<tr class="separator:a497b6518f7470e5048bb6be853d4f85e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe56ff07579dc3b432dc6daa699f25c"><td class="memItemLeft" align="right" valign="top"><a id="a7fe56ff07579dc3b432dc6daa699f25c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#a7fe56ff07579dc3b432dc6daa699f25c">getProbability</a> ()</td></tr>
<tr class="memdesc:a7fe56ff07579dc3b432dc6daa699f25c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return watermark probability. <br /></td></tr>
<tr class="separator:a7fe56ff07579dc3b432dc6daa699f25c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afae57d5f76c3f9c813a56cc39dd10604"><td class="memItemLeft" align="right" valign="top"><a id="afae57d5f76c3f9c813a56cc39dd10604"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#afae57d5f76c3f9c813a56cc39dd10604">init</a> ()</td></tr>
<tr class="memdesc:afae57d5f76c3f9c813a56cc39dd10604"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize our watermark image. <br /></td></tr>
<tr class="separator:afae57d5f76c3f9c813a56cc39dd10604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac52684304e9900866b0e890ca68257f1"><td class="memItemLeft" align="right" valign="top"><a id="ac52684304e9900866b0e890ca68257f1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWatermark.html#ac52684304e9900866b0e890ca68257f1">isSet</a> ()</td></tr>
<tr class="memdesc:ac52684304e9900866b0e890ca68257f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine whether a watermark has been specified. <br /></td></tr>
<tr class="separator:ac52684304e9900866b0e890ca68257f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classWatermark.html" title="Watermark class. ">Watermark</a> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a96a43470184588ea58d0b529213a7ec7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96a43470184588ea58d0b529213a7ec7">&#9670;&nbsp;</a></span>Watermark()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Watermark::Watermark </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>opacity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>probability</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td>image file path </td></tr>
    <tr><td class="paramname">opacity</td><td>opacity applied to watermark </td></tr>
    <tr><td class="paramname">probability</td><td>probability that watermark will be applied to a particular tile </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a32e861948948b0ef070cb1a60439f58f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32e861948948b0ef070cb1a60439f58f">&#9670;&nbsp;</a></span>apply()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Watermark::apply </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>bpc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Apply the watermark to a data buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>buffer of image data </td></tr>
    <tr><td class="paramname">width</td><td>tile width </td></tr>
    <tr><td class="paramname">height</td><td>tile height </td></tr>
    <tr><td class="paramname">channels</td><td>number of channels </td></tr>
    <tr><td class="paramname">bpc</td><td>bits per channel (8 or 16) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Watermark_8h_source.html">Watermark.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classWatermark.html">Watermark</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
